無法將MySql.Data.EntityFrameworkCore安裝到.NET Core App中

asp.net-core entity-framework-core

嘗試安裝'MySql.Data.EntityFrameworkCore'包時,出現以下錯誤:

Microsoft(R)Build Engine版本15.1.548.43366版權所有(C)

微軟公司。版權所有。

編寫/tmp/tmpiXrULm.tmp信息:將包'MySql.Data.EntityFrameworkCore'的PackageReference添加到項目'/media/xxx/xxx.csproj'中。 log:恢復/media/xxx/xxx.csproj的包... info:CACHE https://api.nuget.org/v3-flatcontainer/mysql.data.entityframeworkcore/index.json錯誤:無法解析'MySql。 Data.EntityFrameworkCore'for'.NETCoreApp,Version = v1.1'。錯誤:包'MySql.Data.EntityFrameworkCore'與項目'/media/xxx/xxx.csproj'中的'all'框架不兼容。

我的目標是Asp.NetCore 1.1.1

這是.NET核心的正確MySql EF包嗎?

熱門答案

使用包管理器控制台安裝給定的nuget包:

Install-Package MySql.Data.EntityFrameworkCore -Version 8.0.9-dmr

要么

使用.NET CLI:

dotnet add package MySql.Data.EntityFrameworkCore --version 8.0.9-dmr

然後將其添加到.csproj文件並恢復您的項目:

<PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.8-dmr" />



Related

許可下: CC-BY-SA with attribution
不隸屬於 Stack Overflow
許可下: CC-BY-SA with attribution
不隸屬於 Stack Overflow